> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Payment Verification Details

> This API is used to upload the verification details for a transaction that was processed under PACB module. The partner will receive webhook if any verificaiotn detail that has been uploaded is REJECTED. Partner needs to reupload the verificaiton detail.



## OpenAPI

````yaml /api-reference/pacb/pacb.json post /transaction/v1.0/uploadPaymentVerificationDetails
openapi: 3.0.3
info:
  title: PACB API
  description: PACB API
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /transaction/v1.0/uploadPaymentVerificationDetails:
    post:
      tags:
        - PACB
      summary: Upload Payment Verification Details
      description: >-
        This API is used to upload the verification details for a transaction
        that was processed under PACB module. The partner will receive webhook
        if any verificaiotn detail that has been uploaded is REJECTED. Partner
        needs to reupload the verificaiton detail.
      operationId: uploadPaymentVerificationDetails
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - transactionId
                - importerName
                - importerAddressPostalCode
                - goodsDescription
              properties:
                transactionId:
                  type: string
                importerName:
                  type: string
                invoiceNumber:
                  type: string
                importerAddressPostalCode:
                  type: string
                countryOfOrigin:
                  type: string
                importerAddress:
                  type: string
                goodsDescription:
                  type: string
      responses:
        '200':
          description: Contains the sessionId and URL.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/createPaymentRequest'
components:
  schemas:
    createPaymentRequest:
      type: object
      properties:
        status:
          type: string
          description: The response from the API
        sub_status:
          type: string
          description: Used for internal purposes only
        data:
          type: object
          description: Contains the sessionId and URL.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.